|  | Home | Documentation | xenc__EncryptedKeyType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
xenc__EncryptedKeyType Struct Reference

"http://www.w3.org/2001/04/xmlenc#":EncryptedKeyType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType. More...

`#include <xenc.h>`

Collaboration diagram for xenc__EncryptedKeyType:
[legend]

## Public Attributes

struct xenc__EncryptionMethodType * | EncryptionMethod
_ds__KeyInfo * | ds__KeyInfo
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.
struct xenc__CipherDataType * | CipherData
| Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData.
struct xenc__EncryptionPropertiesType * | EncryptionProperties
| Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties.
char * | Id
| Attribute Id of type xs:ID.
char * | Type
| Attribute Type of type xs:anyURI.
char * | MimeType
| Attribute MimeType of type xs:string.
char * | Encoding
| Attribute Encoding of type xs:anyURI.
struct _xenc__ReferenceList * | ReferenceList
| Element reference "http://www.w3.org/2001/04/xmlenc#":ReferenceList.
char * | CarriedKeyName
| Element CarriedKeyName of type xs:string.
char * | Recipient
| Attribute Recipient of type xs:string.

## Detailed Description

"http://www.w3.org/2001/04/xmlenc#":EncryptedKeyType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType.

## Member Data Documentation

## ◆ CarriedKeyName

char* xenc__EncryptedKeyType::CarriedKeyName

Element CarriedKeyName of type xs:string.

Optional element.

## ◆ CipherData

struct xenc__CipherDataType* xenc__EncryptedKeyType::CipherData

Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData.

Required element.

## ◆ ds__KeyInfo

_ds__KeyInfo* xenc__EncryptedKeyType::ds__KeyInfo

Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.

Optional element.

## ◆ Encoding

char* xenc__EncryptedKeyType::Encoding

Attribute Encoding of type xs:anyURI.

Optional attribute.

## ◆ EncryptionMethod

struct xenc__EncryptionMethodType* xenc__EncryptedKeyType::EncryptionMethod

INHERITED FROM xenc__EncryptedType: Element EncryptionMethod of type "http://www.w3.org/2001/04/xmlenc#":EncryptionMethodType. Optional element.

## ◆ EncryptionProperties

struct xenc__EncryptionPropertiesType* xenc__EncryptedKeyType::EncryptionProperties

Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties.

Optional element.

## ◆ Id

char* xenc__EncryptedKeyType::Id

Attribute Id of type xs:ID.

Optional attribute.

## ◆ MimeType

char* xenc__EncryptedKeyType::MimeType

Attribute MimeType of type xs:string.

Optional attribute.

## ◆ Recipient

char* xenc__EncryptedKeyType::Recipient

Attribute Recipient of type xs:string.

Optional attribute.

## ◆ ReferenceList

struct _xenc__ReferenceList* xenc__EncryptedKeyType::ReferenceList

Element reference "http://www.w3.org/2001/04/xmlenc#":ReferenceList.

Optional element.

## ◆ Type

char* xenc__EncryptedKeyType::Type

Attribute Type of type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- xenc.h